<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "customer.php";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["csearch"];
$operator   = $_REQUEST["coperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["cfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["cfield"] == "2") {
        $cond = "AND `add1` = '$searchTerm'";
    } else if ($_REQUEST["cfield"] == "3") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["cfield"] == "4") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["cfield"] == "5") {
        $cond = "AND `email` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["cfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["cfield"] == "2") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["cfield"] == "3") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["cfield"] == "4") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["cfield"] == "5") {
        $cond = "AND `email` LIKE '%$searchTerm%'";
    } 
}

$query = "SELECT `accode`, `name`, `add1`, `city`, `mobile`, `email` FROM `accmast` WHERE grpcode = '010' $cond ORDER BY `accode` DESC LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'accode'    => $r['accode'],
                'name'      => $r['name'],
                'add1'      => $r['add1'],
                'city'      => $r['city'],
                'mobile'    => $r['mobile'],
                'email'     => $r['email'],
                'action'    => "$file?mode=edit&accode=$r[accode]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
